# Class PaymentAccountsClient

#### Hierarchy

- PaymentAccountsClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:2019

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorCreateCryptoCurrencyPaymentAccount
methodDescriptorCreatePaymentAccount
methodDescriptorDeletePaymentAccount
methodDescriptorGetCryptoCurrencyPaymentMethods
methodDescriptorGetPaymentAccountForm
methodDescriptorGetPaymentAccountFormAsJson
methodDescriptorGetPaymentAccounts
methodDescriptorGetPaymentMethods
methodDescriptorValidateFormField
options_

### Methods

createCryptoCurrencyPaymentAccount
createPaymentAccount
deletePaymentAccount
getCryptoCurrencyPaymentMethods
getPaymentAccountForm
getPaymentAccountFormAsJson
getPaymentAccounts
getPaymentMethods
validateFormField

## Constructors

### constructor

- new PaymentAccountsClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): PaymentAccountsClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns PaymentAccountsClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2025

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:2020

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2022

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:2021

### methodDescriptorCreateCryptoCurrencyPaymentAccount

methodDescriptorCreateCryptoCurrencyPaymentAccount: MethodDescriptor<CreateCryptoCurrencyPaymentAccountRequest, CreateCryptoCurrencyPaymentAccountReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2253

### methodDescriptorCreatePaymentAccount

methodDescriptorCreatePaymentAccount: MethodDescriptor<CreatePaymentAccountRequest, CreatePaymentAccountReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2038

### methodDescriptorDeletePaymentAccount

methodDescriptorDeletePaymentAccount: MethodDescriptor<DeletePaymentAccountRequest, DeletePaymentAccountReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2296

### methodDescriptorGetCryptoCurrencyPaymentMethods

methodDescriptorGetCryptoCurrencyPaymentMethods: MethodDescriptor<GetCryptoCurrencyPaymentMethodsRequest, GetCryptoCurrencyPaymentMethodsReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2339

### methodDescriptorGetPaymentAccountForm

methodDescriptorGetPaymentAccountForm: MethodDescriptor<GetPaymentAccountFormRequest, GetPaymentAccountFormReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2167

### methodDescriptorGetPaymentAccountFormAsJson

methodDescriptorGetPaymentAccountFormAsJson: MethodDescriptor<GetPaymentAccountFormAsJsonRequest, GetPaymentAccountFormAsJsonReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2210

### methodDescriptorGetPaymentAccounts

methodDescriptorGetPaymentAccounts: MethodDescriptor<GetPaymentAccountsRequest, GetPaymentAccountsReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2081

### methodDescriptorGetPaymentMethods

methodDescriptorGetPaymentMethods: MethodDescriptor<GetPaymentMethodsRequest, GetPaymentMethodsReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2124

### methodDescriptorValidateFormField

methodDescriptorValidateFormField: MethodDescriptor<ValidateFormFieldRequest, ValidateFormFieldReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2382

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2023

## Methods

### createCryptoCurrencyPaymentAccount

- createCryptoCurrencyPaymentAccount(request: CreateCryptoCurrencyPaymentAccountRequest, metadata?: null | Metadata): Promise<CreateCryptoCurrencyPaymentAccountReply>

- #### Parameters

  - ##### request: CreateCryptoCurrencyPaymentAccountRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<CreateCryptoCurrencyPaymentAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2264
- createCryptoCurrencyPaymentAccount(request: CreateCryptoCurrencyPaymentAccountRequest, metadata: null | Metadata, callback: ((err: RpcError, response: CreateCryptoCurrencyPaymentAccountReply) => void)): ClientReadableStream<CreateCryptoCurrencyPaymentAccountReply>

- #### Parameters

  - ##### request: CreateCryptoCurrencyPaymentAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: CreateCryptoCurrencyPaymentAccountReply) => void)

    - - (err: RpcError, response: CreateCryptoCurrencyPaymentAccountReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CreateCryptoCurrencyPaymentAccountReply

        #### Returns void

  #### Returns ClientReadableStream<CreateCryptoCurrencyPaymentAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2268

### createPaymentAccount

- createPaymentAccount(request: CreatePaymentAccountRequest, metadata?: null | Metadata): Promise<CreatePaymentAccountReply>

- #### Parameters

  - ##### request: CreatePaymentAccountRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<CreatePaymentAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2049
- createPaymentAccount(request: CreatePaymentAccountRequest, metadata: null | Metadata, callback: ((err: RpcError, response: CreatePaymentAccountReply) => void)): ClientReadableStream<CreatePaymentAccountReply>

- #### Parameters

  - ##### request: CreatePaymentAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: CreatePaymentAccountReply) => void)

    - - (err: RpcError, response: CreatePaymentAccountReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CreatePaymentAccountReply

        #### Returns void

  #### Returns ClientReadableStream<CreatePaymentAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2053

### deletePaymentAccount

- deletePaymentAccount(request: DeletePaymentAccountRequest, metadata?: null | Metadata): Promise<DeletePaymentAccountReply>

- #### Parameters

  - ##### request: DeletePaymentAccountRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<DeletePaymentAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2307
- deletePaymentAccount(request: DeletePaymentAccountRequest, metadata: null | Metadata, callback: ((err: RpcError, response: DeletePaymentAccountReply) => void)): ClientReadableStream<DeletePaymentAccountReply>

- #### Parameters

  - ##### request: DeletePaymentAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: DeletePaymentAccountReply) => void)

    - - (err: RpcError, response: DeletePaymentAccountReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: DeletePaymentAccountReply

        #### Returns void

  #### Returns ClientReadableStream<DeletePaymentAccountReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2311

### getCryptoCurrencyPaymentMethods

- getCryptoCurrencyPaymentMethods(request: GetCryptoCurrencyPaymentMethodsRequest, metadata?: null | Metadata): Promise<GetCryptoCurrencyPaymentMethodsReply>

- #### Parameters

  - ##### request: GetCryptoCurrencyPaymentMethodsRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetCryptoCurrencyPaymentMethodsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2350
- getCryptoCurrencyPaymentMethods(request: GetCryptoCurrencyPaymentMethodsRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetCryptoCurrencyPaymentMethodsReply) => void)): ClientReadableStream<GetCryptoCurrencyPaymentMethodsReply>

- #### Parameters

  - ##### request: GetCryptoCurrencyPaymentMethodsRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetCryptoCurrencyPaymentMethodsReply) => void)

    - - (err: RpcError, response: GetCryptoCurrencyPaymentMethodsReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetCryptoCurrencyPaymentMethodsReply

        #### Returns void

  #### Returns ClientReadableStream<GetCryptoCurrencyPaymentMethodsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2354

### getPaymentAccountForm

- getPaymentAccountForm(request: GetPaymentAccountFormRequest, metadata?: null | Metadata): Promise<GetPaymentAccountFormReply>

- #### Parameters

  - ##### request: GetPaymentAccountFormRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetPaymentAccountFormReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2178
- getPaymentAccountForm(request: GetPaymentAccountFormRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetPaymentAccountFormReply) => void)): ClientReadableStream<GetPaymentAccountFormReply>

- #### Parameters

  - ##### request: GetPaymentAccountFormRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetPaymentAccountFormReply) => void)

    - - (err: RpcError, response: GetPaymentAccountFormReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetPaymentAccountFormReply

        #### Returns void

  #### Returns ClientReadableStream<GetPaymentAccountFormReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2182

### getPaymentAccountFormAsJson

- getPaymentAccountFormAsJson(request: GetPaymentAccountFormAsJsonRequest, metadata?: null | Metadata): Promise<GetPaymentAccountFormAsJsonReply>

- #### Parameters

  - ##### request: GetPaymentAccountFormAsJsonRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetPaymentAccountFormAsJsonReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2221
- getPaymentAccountFormAsJson(request: GetPaymentAccountFormAsJsonRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetPaymentAccountFormAsJsonReply) => void)): ClientReadableStream<GetPaymentAccountFormAsJsonReply>

- #### Parameters

  - ##### request: GetPaymentAccountFormAsJsonRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetPaymentAccountFormAsJsonReply) => void)

    - - (err: RpcError, response: GetPaymentAccountFormAsJsonReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetPaymentAccountFormAsJsonReply

        #### Returns void

  #### Returns ClientReadableStream<GetPaymentAccountFormAsJsonReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2225

### getPaymentAccounts

- getPaymentAccounts(request: GetPaymentAccountsRequest, metadata?: null | Metadata): Promise<GetPaymentAccountsReply>

- #### Parameters

  - ##### request: GetPaymentAccountsRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetPaymentAccountsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2092
- getPaymentAccounts(request: GetPaymentAccountsRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetPaymentAccountsReply) => void)): ClientReadableStream<GetPaymentAccountsReply>

- #### Parameters

  - ##### request: GetPaymentAccountsRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetPaymentAccountsReply) => void)

    - - (err: RpcError, response: GetPaymentAccountsReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetPaymentAccountsReply

        #### Returns void

  #### Returns ClientReadableStream<GetPaymentAccountsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2096

### getPaymentMethods

- getPaymentMethods(request: GetPaymentMethodsRequest, metadata?: null | Metadata): Promise<GetPaymentMethodsReply>

- #### Parameters

  - ##### request: GetPaymentMethodsRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetPaymentMethodsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2135
- getPaymentMethods(request: GetPaymentMethodsRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetPaymentMethodsReply) => void)): ClientReadableStream<GetPaymentMethodsReply>

- #### Parameters

  - ##### request: GetPaymentMethodsRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetPaymentMethodsReply) => void)

    - - (err: RpcError, response: GetPaymentMethodsReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetPaymentMethodsReply

        #### Returns void

  #### Returns ClientReadableStream<GetPaymentMethodsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2139

### validateFormField

- validateFormField(request: ValidateFormFieldRequest, metadata?: null | Metadata): Promise<ValidateFormFieldReply>

- #### Parameters

  - ##### request: ValidateFormFieldRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<ValidateFormFieldReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2393
- validateFormField(request: ValidateFormFieldRequest, metadata: null | Metadata, callback: ((err: RpcError, response: ValidateFormFieldReply) => void)): ClientReadableStream<ValidateFormFieldReply>

- #### Parameters

  - ##### request: ValidateFormFieldRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: ValidateFormFieldReply) => void)

    - - (err: RpcError, response: ValidateFormFieldReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: ValidateFormFieldReply

        #### Returns void

  #### Returns ClientReadableStream<ValidateFormFieldReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2397

Generated using TypeDoc